LogSink Class Reference

`#include <logsink.h>`

## Public Member Functions

| LogSink ()
virtual | ~LogSink ()
void | log (LogLevel level, LogArea area, const std::string &message) const
void | dbg (LogArea area, const std::string &message) const
void | warn (LogArea area, const std::string &message) const
void | err (LogArea area, const std::string &message) const
void | registerLogHandler (LogLevel level, int areas, LogHandler *lh)
void | removeLogHandler (LogHandler *lh)

## Detailed Description

An implementation of log sink and source.

To log the output of your Client or Component, use ClientBase's logInstance() to get hold of the LogSink object for that ClientBase. Register your LogHandler with that instance.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

Definition at line 38 of file logsink.h.

## Constructor & Destructor Documentation

## LogSink()

LogSink | ( |  | ) |

Constructor.

Definition at line 20 of file logsink.cpp.

## ~LogSink()

~LogSink | ( |  | ) |

virtual

Virtual destructor.

Definition at line 24 of file logsink.cpp.

## Member Function Documentation

## dbg()

void dbg | ( | LogArea | area,
|  | const std::string & | message ) const

inline

Use this function to log a debug message with given LogIdentifier. This is a convenience wrapper around log().

Parameters

  area | The part of the program/library the message comes from.
  message | The actual log message.

Definition at line 66 of file logsink.h.

## err()

void err | ( | LogArea | area,
|  | const std::string & | message ) const

inline

Use this function to log a error message with given LogIdentifier. This is a convenience wrapper around log().

Parameters

  area | The part of the program/library the message comes from.
  message | The actual log message.

Definition at line 84 of file logsink.h.

## log()

void log | ( | LogLevel | level,
|  | LogArea | area,
|  | const std::string & | message ) const

Use this function to log a message with given LogLevel and LogIdentifier. dbg(), warn(), and err() are alternative shortcuts.

Parameters

  level | The severity of the logged event.
  area | The part of the program/library the message comes from.
  message | The actual log message.

Definition at line 28 of file logsink.cpp.

## registerLogHandler()

void registerLogHandler | ( | LogLevel | level,
|  | int | areas,
|  | LogHandler * | lh )

Registers `lh` as object that receives all debug messages of the specified type. Suitable for logging to a file, etc.

Parameters

  level | The LogLevel for this handler.
  areas | Bit-wise ORed LogAreas the LogHandler wants to be informed about.
  lh | The object to receive exchanged data.

Definition at line 38 of file logsink.cpp.

## removeLogHandler()

void removeLogHandler | ( | LogHandler * | lh | ) |

Removes the given object from the list of log handlers.

Parameters

  lh | The object to remove from the list.

Definition at line 44 of file logsink.cpp.

## warn()

void warn | ( | LogArea | area,
|  | const std::string & | message ) const

inline

Use this function to log a warning message with given LogIdentifier. This is a convenience wrapper around log().

Parameters

  area | The part of the program/library the message comes from.
  message | The actual log message.

Definition at line 75 of file logsink.h.

The documentation for this class was generated from the following files:

- logsink.h
- logsink.cpp